
Figure - Bug #117727
【BSP】【DVT】【tlog】tlog中MCU启动次数未记录成功
2023-04-28 18:49 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-28

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0095

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-11

Test Type: ST Root cause: user版本缺少相关权限导致user版本的count文件没有内容

Description

前置条件

None

操作步骤：

1.设备烧写0095版本

2.通过*#147# 抓取tlog

3.pull出来日志后，加压查看count文件

预期结果：

记录MCU启动情况

实际结果：

未记录相关日志

History

#1 - 2023-05-08 21:00 - CD SYSTEM-夏旭

目前进度：

查看user版本开机时候的log，发现有相关的avc报错，本地添加相关权限，编译OK，等待VB验证

05-08 09:46:04.181  2319  2319 I auditd  : type=1400 audit(0.0:1409): avc: denied { append } for comm="HwBinder:2319_1" name="count.txt" dev="dm-10" ino=2385

scontext=u:r:system_app:s0 tcontext=u:object_r:tlog_data_file:s0 tclass=file permissive=1

05-08 09:46:04.181  2319  2319 I HwBinder:2319_1: type=1400 audit(0.0:1409): avc: denied { append } for name="count.txt" dev="dm-10" ino=2385

scontext=u:r:system_app:s0 tcontext=u:object_r:tlog_data_file:s0 tclass=file permissive=1

#2 - 2023-05-10 21:40 - CD SYSTEM-夏旭

- % Done changed from 0 to 70

■ 目前进展

userdebug版本的VB验证OK，user版本刷完机之后屏幕不亮，root之后发现count文件是有内容的

logcat发现有以下报错

05-10 17:55:51.796     0     0 E DTC_Display: Abnormal power down or data-cable disconnect(0x0)

■ 下一步计划

调查为什么屏幕不亮
#3 - 2023-05-11 19:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198361 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

SYSTEM:Tlog save count to tlog fileadd relative selinuxTC-RID: 1200-0800102IssueID: TS-R-BUG-117727Change-Id:

I657c5a1a180005e0cf570d7853f73909ca3d91a2

#4 - 2023-05-11 19:44 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 70 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-11

- Root cause set to user版本缺少相关权限导致user版本的count文件没有内容

■目前进展

相关提交已经入库，编译VB的user版本验证Ok

原因：debug版本把tlog的selinux关闭了，但是user版本没有，需要添加额外的权限

■下一步

测试验证

#5 - 2023-05-15 19:22 - 移动测试一组_CDTS 刘强

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305150054

验证结果：验证通过

#6 - 2023-05-15 19:23 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-15 19:23 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

tlog_ea56a99c_000011_0428025921.tar.gz 3.26 MB 2023-04-28 移动测试一组_CDTS 刘强
